#ifndef DIALOGINSTRUCTORS_H
#define DIALOGINSTRUCTORS_H

#include <QDialog>
#include <QTreeWidget>
#include "instructorsview.h"

namespace Ui {
class EditorInstructors;
}

//Виджет для редактирования БД Инструкторов

class EditorInstructors : public InstructorsView
{
    Q_OBJECT

public:
    explicit EditorInstructors(InterfaceDataBaseLMS* dbLMS, bool adminMode, QWidget *parent = nullptr);
    ~EditorInstructors();

private Q_SLOTS:
    void on_btnNewInstructor_clicked();
    void on_btnDeleteInstructor_clicked();
    void on_btnToOrFromArchive_clicked();
    void on_btnEdit_clicked();
    void on_btnArchive_clicked();
    void on_treeWidget_currentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);

private:
    void setCurrentInstructor(int id);

private:
    Ui::EditorInstructors *ui;
};

#endif // DIALOGINSTRUCTORS_H
